def validate_topology_dict(topology):
    assert type(topology) is dict
    assert len(topology.keys()) > 0
    assert 'topoId' in topology
    assert 'device' in topology
    assert 'link' in topology
